Name:           adr-tools
Version:        3.0.0
Release:        2%{?dist}
Summary:        A command-line tool for working with a log of Architecture Decision Records (ADRs).

License:        GPLv2
URL:            https://github.com/npryce/adr-tools/releases
Source0:        https://github.com/npryce/adr-tools/archive/%{version}.tar.gz

BuildArch:      noarch
# BuildRequires:  perl
# Requires:       perl, perl-JSON

%description
A command-line tool for working with a log of Architecture Decision Records (ADRs).

%global debug_package %{nil}

%prep
%autosetup


%build
cat << EOF > src/adr-config
#!/bin/bash
echo 'adr_bin_dir="%{_libexecdir}/adr-tools"'
echo 'adr_template_dir="%{_datadir}/adr-tools/templates"'
EOF

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_libexecdir}/%{name}
mkdir -p %{buildroot}/%{_datadir}/%{name}/templates
install -m 0755 src/adr src/adr-config %{buildroot}/%{_bindir}
install -m 0755 src/_adr* \
  src/adr-config \
  src/adr-generate \
  src/adr-help \
  src/adr-init \
  src/adr-link\
  src/adr-list \
  src/adr-new \
  src/adr-upgrade-repository \
  %{buildroot}/%{_libexecdir}/%{name}
install -m 0644 src/{init.md,template.md} \
  %{buildroot}/%{_datadir}/%{name}/templates


%files
%doc README.md
%dir %{_libexecdir}/%{name}
%dir %{_datadir}/%{name}/templates
%{_bindir}/adr
%{_bindir}/adr-config
%{_libexecdir}/%{name}/_adr_add_link
%{_libexecdir}/%{name}/_adr_autocomplete
%{_libexecdir}/%{name}/_adr_commands
%{_libexecdir}/%{name}/_adr_dir
%{_libexecdir}/%{name}/_adr_file
%{_libexecdir}/%{name}/_adr_generate_graph
%{_libexecdir}/%{name}/_adr_generate_toc
%{_libexecdir}/%{name}/_adr_help
%{_libexecdir}/%{name}/_adr_help_new
%{_libexecdir}/%{name}/_adr_links
%{_libexecdir}/%{name}/_adr_remove_status
%{_libexecdir}/%{name}/_adr_status
%{_libexecdir}/%{name}/_adr_title
%{_libexecdir}/%{name}/adr-config
%{_libexecdir}/%{name}/adr-generate
%{_libexecdir}/%{name}/adr-help
%{_libexecdir}/%{name}/adr-init
%{_libexecdir}/%{name}/adr-link
%{_libexecdir}/%{name}/adr-list
%{_libexecdir}/%{name}/adr-new
%{_libexecdir}/%{name}/adr-upgrade-repository
%{_datadir}/%{name}/templates/init.md
%{_datadir}/%{name}/templates/template.md


%changelog
* Thu Apr 25 2019 Grégoire Détrez <gregoire@fripost.org>
- Make copr package
